
package cdpp3dview.types;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GroundStation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GroundStation">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="naifId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ra" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="dec" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="color" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="angle" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="heightKm" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GroundStation", propOrder = {
    "naifId",
    "name",
    "ra",
    "dec",
    "color",
    "angle",
    "heightKm"
})
public class GroundStation {

    protected int naifId;
    @XmlElement(required = true)
    protected String name;
    protected float ra;
    protected float dec;
    @XmlElement(required = true)
    protected String color;
    protected float angle;
    protected float heightKm;

    public GroundStation() {
    }

    public GroundStation(int naifId, String name, float ra, float dec, String color, float angle, float heightKm) {
        this.naifId = naifId;
        this.name = name;
        this.ra = ra;
        this.dec = dec;
        this.color = color;
        this.angle = angle;
        this.heightKm = heightKm;
    }

    /**
     * Gets the value of the naifId property.
     * 
     */
    public int getNaifId() {
        return naifId;
    }

    /**
     * Sets the value of the naifId property.
     * 
     */
    public void setNaifId(int value) {
        this.naifId = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the ra property.
     * 
     */
    public float getRa() {
        return ra;
    }

    /**
     * Sets the value of the ra property.
     * 
     */
    public void setRa(float value) {
        this.ra = value;
    }

    /**
     * Gets the value of the dec property.
     * 
     */
    public float getDec() {
        return dec;
    }

    /**
     * Sets the value of the dec property.
     * 
     */
    public void setDec(float value) {
        this.dec = value;
    }

    /**
     * Gets the value of the color property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getColor() {
        return color;
    }

    /**
     * Sets the value of the color property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setColor(String value) {
        this.color = value;
    }

    /**
     * Gets the value of the angle property.
     * 
     */
    public float getAngle() {
        return angle;
    }

    /**
     * Sets the value of the angle property.
     * 
     */
    public void setAngle(float value) {
        this.angle = value;
    }

    /**
     * Gets the value of the heightKm property.
     * 
     */
    public float getHeightKm() {
        return heightKm;
    }

    /**
     * Sets the value of the heightKm property.
     * 
     */
    public void setHeightKm(float value) {
        this.heightKm = value;
    }

}
